﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Using Saviynt to Authenticate Users in SSO or External Authentication Scenarios</title>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
    </head>
    <body>
        <h1>Using Saviynt to Authenticate Users in SSO or External Authentication Scenarios</h1>
        <p>Saviynt now allows the users to bypass the SSO or LDAP authentication and access the Saviynt Identity Governance and Administration (IGA) environment. This is applicable for the following type of users:</p>
        <ul>
            <li>
                <p>Users who use APIs to perform certain tasks.</p>
            </li>
            <li>
                <p>Users who do not have the required credentials in the authentication data store such as an identity provider for SSO or LDAP directory for LDAP authentication methods.</p>
            </li>
            <li>
                <p>Users who need IGA access irrespective of the provided credentials.</p>
            </li>
        </ul>
        <div class="tip" MadCap:autonum="&lt;b&gt;Tip&lt;/b&gt;">
            <p class="note">This capability is available in the 6.0 SP1 release and above versions.</p>
        </div>
        <p>The following are the configurations needed to enable the SSO or LDAP bypass functionality:</p>
        <ol>
            <li>
                <p>Navigate to <strong>Admin &gt; Global Configurations.</strong> Select <strong>Identity Lifecycle</strong> from thedropdown menu. Click <strong>Action &gt; Add Attributes</strong> to launch the <strong>Add Attribute</strong> pop-up window. Enter values for the following fields:</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 315.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 444.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description/Values</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Attribute Name</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter a name for the attribute. For example, <span class="inline-comment-marker">Local User</span>.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Request Type</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">User</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Request Label</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter a name by which you want to identify the attribute</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Attribute Type</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Boolean</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">User Column</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">localAuthEnabled</p>
                                    <p class="table-text">Note: This value is case-senstive.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Editable on Create, Editable on Update</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Check the checkboxes.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>Click <strong>Save</strong> to save the changes.</p>
            </li>
            <li>
                <p>Navigate to <strong>ARS &gt; Create User Request</strong> or <strong>Update User Request</strong> to create the local user profiles or update the existing user profiles respectively. Set <strong>Local User</strong> as <strong>True</strong> to allow the respective users to directly authenticate to Saviynt, and bypass the SSO or external LDAP authentication protocols. For more information, see <MadCap:xref href="../Chapter03-Onboarding-Users/Creating-Users.htm">Creating Users</MadCap:xref>. </p>
            </li>
        </ol>
        <p>Once the above configurations are performed, the configured users can access <label class="param-value">https://&lt;hostname&gt;/ECM/login/authsaviynt</label> and use their Saviynt credentials to login into the IGA environment.</p>
    </body>
</html>